| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# cstool/proctex.h File Reference

Superclass for procedural textures. More...

`#include "csextern.h"`
`#include "csutil/csobject.h"`
`#include "csutil/ref.h"`
`#include "csutil/scf_implementation.h"`
`#include "itexture/iproctex.h"`
`#include "iengine/texture.h"`

Go to the source code of this file.

## Classes
class | csProcTexture
| Generic superclass for procedural textures. More...
struct | iProcTexCallback
| A callback for when a iTextureWrapper is used. More...

## Detailed Description

Superclass for procedural textures.

Definition in file proctex.h.